# -*- coding: utf-8 -*-

# Copyright(C) 2010-2011 Julien Hébert, Romain Bignon
#
# This file is part of weboob.
#
# weboob is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# weboob is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with weboob. If not, see <http://www.gnu.org/licenses/>.


STATIONS = {
    'BXN': u'BAGNEAUX SUR LOING',
    'BJR': u'BOIS LE ROI',
    'BOM': u'BOURRON MARLOTTE GREZ',
    'BXI': u'BOUSSY ST ANTOINE',
    'BNY': u'BRUNOY',
    'CES': u'CESSON',
    'CLY': u'CHANTILLY GOUVIEUX',
    'CLX': u'CHATELET LES HALLES',
    'CBV': u'COMBS LA VILLE QUINCY',
    'COE': u'CORBEIL ESSONNES',
    'CL': u'CREIL',
    'DDI': u'DORDIVES',
    'EVR': u'EVRY',
    'EVC': u'EVRY COURCOURONNES',
    'FFY': u'FERRIERES FONTENAY',
    'FON': u'FONTAINEBLEAU AVON',
    'GDS': u'GARE DU NORD',
    'GAJ': u'GARGES SARCELLES',
    'GOU': u'GOUSSAINVILLE',
    'GBG': u'GRAND BOURG',
    'GGG': u'GRIGNY CENTRE',
    'JY': u'JUVISY',
    'BBN': u'LA BORNE BLANCHE',
    'BFX': u'LE BRAS DE FER',
    'WEE': u'LE MEE',
    'VD': u'LE VERT DE MAISONS',
    'LNX': u'LES NOUES',
    'LIU': u'LIEUSAINT MOISSY',
    'LOV': u'LOUVRES',
    'MFA': u'MAISONS ALFORT ALFORTVILLE',
    'MEL': u'MELUN',
    'MS': u'MONTARGIS',
    'MTU': u'MONTEREAU',
    'KRW': u'MONTGERON CROSNE',
    'MKN': u'MONTIGNY SUR LOING',
    'MOR': u'MORET VENEUX LES SABLONS',
    'NSP': u'NEMOURS ST PIERRE',
    'OBP': u'ORANGIS BOIS DE L EPINE',
    'ORY': u'ORRY LA VILLE COYE LA FORET',
    'PRF': u'PIERREFITTE STAINS',
    'RIS': u'RIS ORANGIS',
    'ZTN': u'SAVIGNY LE TEMPLE NANDY',
    'SPP': u'SOUPPES CHÂTEAU LANDON',
    'SDE': u'ST DENIS',
    'SF': u'ST MAMMES',
    'SFD': u'STADE DE FRANCE ST DENIS',
    'SUR': u'SURVILLIERS FOSSES',
    'TMR': u'THOMERY',
    'VGS': u'VIGNEUX SUR SEINE',
    'VP': u'VILLENEUVE PRAIRIE',
    'VSG': u'VILLENEUVE ST GEORGES',
    'VTV': u'VILLENEUVE TRIAGE',
    'VIB': u'VILLIERS LE BEL GONESSE ARNOUVILLE',
    'VWC': u'VIRY CHATILLON',
    'YES': u'YERRES',
    'ARW': u'ARGENTEUIL',
    'AEH': u'AUBERGENVILLE ELISABETHVILLE',
    'BEC': u'BECON LES BRUYERES',
    'BCO': u'BOIS COLOMBES',
    'CWJ': u'CHAVILLE RIVE DROITE',
    'CLL': u'CLICHY LEVALLOIS',
    'CBK': u'COLOMBES',
    'CSH': u'CONFLANS SAINTE HONORINE',
    'CPA': u'CORMEILLES EN PARISIS',
    'KOU': u'COURBEVOIE',
    'EPO': u'EPONE MEZIERES',
    'ERA': u'ERAGNY NEUVILLE',
    'ERE': u'ERMONT EAUBONNE',
    'PSL': u'GARE ST LAZARE',
    'HRY': u'HERBLAY',
    'HAR': u'HOUILLES CARRIERES SUR SEINE',
    'LDU': u'LA DEFENSE GARE SNCF',
    'FMY': u'LA FRETTE MONTIGNY',
    'LGK': u'LA GARENNE COLOMBES',
    'LSD': u'LE STADE',
    'VDO': u'LE VAL D OR',
    'KVE': u'LES CLAIRIERES DE VERNEUIL',
    'LMU': u'LES MUREAUX',
    'LWA': u'LES VALLEES',
    'MLF': u'MAISONS LAFFITTE',
    'MTE': u'MANTES LA JOLIE',
    'MTQ': u'MANTES STATION',
    'MFL': u'MONTREUIL',
    'NUN': u'NANTERRE UNIVERSITE',
    'PSY': u'POISSY',
    'PTC': u'PONT CARDINET',
    'PSE': u'PONTOISE',
    'PTX': u'PUTEAUX',
    'SNN': u'SANNOIS',
    'SVL': u'SARTROUVILLE',
    'VDV': u'SEVRES VILLE D AVRAY',
    'SCD': u'ST CLOUD',
    'XOA': u'ST OUEN L AUMONE QUARTIER DE L EGLIS',
    'MVH': u'SURESNES MONT VALERIEN',
    'VDA': u'VAL D ARGENTEUIL',
    'VET': u'VERNOUILLET VERNEUIL',
    'VRD': u'VERSAILLES RIVE DROITE',
    'VSW': u'VILLENNES SUR SEINE',
    'VFD': u'VIROFLAY RIVE DROITE',
    'ABL': u'ABLON',
    'ARP': u'ARPAJON',
    'ATH': u'ATHIS MONS',
    'BFM': u'BIBLIOTHEQUE F. MITTERRAND',
    'BIS': u'BIEVRES',
    'BVI': u'BOULEVARD VICTOR',
    'BY': u'BRETIGNY',
    'BIH': u'BREUILLET BRUYERES LE CHATEL',
    'BRW': u'BREUILLET VILLAGE',
    'CPM': u'CHAMP DE MARS TOUR EIFFEL',
    'CHV': u'CHAVILLE VELIZY',
    'CAZ': u'CHILLY MAZARIN',
    'CLR': u'CHOISY LE ROI',
    'D': u'DOURDAN',
    'ELY': u'EGLY',
    'EYO': u'EPINAY SUR ORGE',
    'GBI': u'GRAVIGNY BALIZY',
    'IGY': u'IGNY',
    'INV': u'INVALIDES',
    'ISY': u'ISSY',
    'ISP': u'ISSY VAL DE SEINE',
    'IV': u'IVRY SUR SEINE',
    'JVL': u'JAVEL',
    'JAS': u'JOUY EN JOSAS',
    'NG': u'LA NORVILLE ST GERMAIN LES ARPAJON',
    'LAD': u'LES ARDOINES',
    'LJU': u'LONGJUMEAU',
    'MPU': u'MASSY PALAISEAU RER C',
    'MFY': u'MEUDON VAL FLEURY',
    'MDS': u'MUSEE D ORSAY',
    'PJ': u'PETIT JOUY LES LOGES',
    'PV': u'PETIT VAUX',
    'PDM': u'PONT DE L ALMA',
    'POA': u'PORCHEFONTAINE',
    'SAO': u'SAVIGNY SUR ORGE',
    'SXE': u'SERMAISE',
    'SCW': u'ST CHERON',
    'SHL': u'ST MICHEL NOTRE DAME',
    'SHO': u'ST MICHEL SUR ORGE',
    'SXG': u'STE GENEVIEVE DES BOIS',
    'VBO': u'VAUBOYEN',
    'VC': u'VERSAILLES CHANTIERS',
    'VRG': u'VERSAILLES R G CHATEAU DE VERSAILLES',
    'VRI': u'VILLENEUVE LE ROI',
    'VFG': u'VIROFLAY RIVE GAUCHE',
    'VY': u'VITRY SUR SEINE',
    'BSO': u'BOURAY',
    'CHK': u'CHAMARANDE',
    'ETP': u'ETAMPES',
    'ETY': u'ETRECHY',
    'PZB': u'GARE D\'AUSTERLITZ',
    'LYO': u'LARDY',
    'MSX': u'MAROLLES EN HUREPOIX',
    'SME': u'ST MARTIN D ETAMPES',
    'CME': u'CHAMPAGNE SUR SEINE',
    'CJR': u'CHARTRETTES',
    'HER': u'HERICY',
    'GPA': u'LA GRANDE PAROISSE',
    'LYQ': u'LIVRY SUR SEINE',
    'VSS': u'VERNOU SUR SEINE',
    'VUN': u'VULAINES SUR SEINE SAMOREAU',
    'PLY': u'GARE DE LYON',
    'FPO': u'FONTAINE LE PORT',
    'CJN': u'CHANGIS ST JEAN',
    'CTH': u'CHATEAU THIERRY',
    'CSG': u'CHELLES GOURNAY',
    'CYZ': u'CHEZY SUR MARNE',
    'CO': u'COULOMMIERS',
    'EY': u'ESBLY',
    'FMP': u'FAREMOUTIERS POMMEUSE',
    'GCM': u'GUERARD LA CELLE SUR MORIN',
    'LFJ': u'LA FERTE SOUS JOUARRE',
    'LGY': u'LAGNY THORIGNY',
    'MLB': u'MARLES EN BRIE',
    'MEA': u'MEAUX',
    'MOF': u'MORTCERF',
    'MXK': u'MOUROUX',
    'NAU': u'NANTEUIL SAACY',
    'NAA': u'NOGENT L ARTAUD CHARLY',
    'TOU': u'TOURNAN',
    'TLP': u'TRILPORT',
    'VAI': u'VAIRES TORCY',
    'AEE': u'ASNIERES',
    'AUU': u'AUBER',
    'BQA': u'BRY SUR MARNE',
    'BXG': u'BUSSY ST GEORGES',
    'CGP': u'CHARLES DE GAULLE-ETOILE',
    'GYN': u'GARE DE LYON',
    'GAW': u'LA DEFENSE RER A',
    'LQN': u'LOGNES',
    'MVC': u'MARNE LA VALLEE CHESSY',
    'NAF': u'NANTERRE PREFECTURE SNCF',
    'NTN': u'NATION',
    'NYP': u'NEUILLY PLAISANCE',
    'NSL': u'NOISIEL',
    'NYC': u'NOISY CHAMPS',
    'NYG': u'NOISY LE GRAND MONT D EST',
    'TOC': u'TORCY MARNE LA VALLEE',
    'VDE': u'VAL D EUROPE',
    'VFR': u'VAL DE FONTENAY RER A',
    'VNC': u'VINCENNES',
    'CJV': u'CERGY LE HAUT',
    'CYP': u'CERGY PREFECTURE',
    'CYC': u'CERGY ST CHRISTOPHE',
    'CFD': u'CONFLANS FIN D OISE',
    'NUE': u'NEUVILLE UNIVERSITE',
    'RYR': u'AEROPORT CDG 2 TGV',
    'ATW': u'ANTONY',
    'ALC': u'AUBERVILLIERS LA COURNEUVE',
    'AB': u'AULNAY SOUS BOIS',
    'BAM': u'BLANC MESNIL',
    'BQQ': u'BOURG LA REINE',
    'BVJ': u'BURES SUR YVETTE',
    'CUF': u'CITE UNIVERSITAIRE',
    'CVW': u'COURCELLE SUR YVETTE',
    'DFR': u'DENFERT ROCHEREAU',
    'DRN': u'DRANCY',
    'FMN': u'FONTAINE MICHALON',
    'GIF': u'GIF SUR YVETTE',
    'XBY': u'LA CROIX DE BERNY',
    'HAQ': u'LA HACQUINIERE',
    'LPN': u'LA PLAINE STADE DE FRANCE',
    'LBT': u'LE BOURGET',
    'GUW': u'LE GUICHET',
    'BQC': u'LES BACONNETS',
    'LZV': u'LOZERE',
    'LXJ': u'LUXEMBOURG',
    'MP': u'MASSY PALAISEAU RER B',
    'MVP': u'MASSY VERRIERES RER B',
    'ORS': u'ORSAY VILLE',
    'PAX': u'PALAISEAU',
    'PAW': u'PALAISEAU VILLEBON',
    'PCX': u'PARC DE SCEAUX',
    'PEX': u'PARC DES EXPOSITIONS',
    'PWR': u'PORT ROYAL',
    'BDE': u'SEVRAN BEAUDOTTES',
    'XND': u'ST MICHEL NOTRE DAME',
    'SNM': u'ST REMY LES CHEVREUSE',
    'VPN': u'VILLEPINTE',
    'RSY': u'AEROPORT CDG 1',
    'ARK': u'ARCUEIL CACHAN',
    'BGK': u'BAGNEUX',
    'GTL': u'GENTILLY',
    'LJA': u'LAPLACE',
    'CVF': u'CHANTELOUP LES VIGNES',
    'GGV': u'GARGENVILLE',
    'IPO': u'ISSOU PORCHEVILLE',
    'JUZ': u'JUZIERS',
    'LIM': u'LIMAY',
    'MHD': u'MEULAN HARDRICOURT',
    'TPA': u'THUN LE PARADIS',
    'TSS': u'TRIEL SUR SEINE',
    'VXS': u'VAUX SUR SEINE',
    'FNR': u'FONTENAY AUX ROSES',
    'MY': u'MITRY CLAYE',
    'RNS': u'ROBINSON',
    'SKX': u'SCEAUX',
    'SEV': u'SEVRAN LIVRY',
    'VGL': u'VERT GALANT',
    'VII': u'VILLEPARISIS MITRY LE NEUF',
    'BOF': u'BOUFFEMONT MOISSELLES',
    'DEU': u'DEUIL MONTMAGNY',
    'DMO': u'DOMONT',
    'ECZ': u'ECOUEN EZANVILLE',
    'EPV': u'EPINAY VILLETANEUSE',
    'PNB': u'GARE DU NORD',
    'GRL': u'GROSLAY',
    'LUZ': u'LUZARCHES',
    'MSO': u'MONTSOULT MAFFLIERS',
    'SLL': u'SARCELLES ST BRICE',
    'SWY': u'SEUGY',
    'VMS': u'VIARMES',
    'VW': u'VILLAINES',
    'CH': u'CHARTRES',
    'CVI': u'CHAVILLE RIVE GAUCHE',
    'CMA': u'CLAMART',
    'CGW': u'COIGNIERES',
    'DX': u'DREUX',
    'EPN': u'EPERNON',
    'FAF': u'FONTENAY LE FLEURY',
    'GAQ': u'GARANCIERES LA QUEUE',
    'GZA': u'GAZERAN',
    'HOA': u'HOUDAN',
    'JOY': u'JOUY',
    'VYL': u'LA VERRIERE',
    'LPE': u'LE PERRAY',
    'LSI': u'LES ESSARTS LE ROI',
    'MTN': u'MAINTENON',
    'MBR': u'MARCHEZAIS BROUE',
    'MDN': u'MEUDON',
    'MLM': u'MONTFORT L AMAURY MERE',
    'OGB': u'ORGERUS BEHOUST',
    'PMP': u'PARIS MONTPARNASSE',
    'PG': u'PLAISIR GRIGNON',
    'PIE': u'PLAISIR LES CLAYES',
    'RBT': u'RAMBOUILLET',
    'SVR': u'SEVRES RIVE GAUCHE',
    'SCR': u'ST CYR',
    'SPI': u'ST PIAT',
    'SQY': u'ST QUENTIN EN YVELINES',
    'TAE': u'TACOIGNIERES RICHEBOURG',
    'TVO': u'TRAPPES',
    'VMK': u'VANVES MALAKOFF',
    'VEP': u'VILLEPREUX LES CLAYES',
    'VEH': u'VILLIERS NEAUPHLE PONTCHARTRAIN',
    'CEG': u'CHAMP DE COURSES D ENGHIEN',
    'CPO': u'CHAMPAGNE SUR OISE',
    'EN': u'ENGHIEN LES BAINS',
    'ERT': u'ERMONT EAUBONNE',
    'ERM': u'ERMONT HALTE',
    'FPN': u'FREPILLON',
    'GNX': u'GROS NOYER ST PRIX',
    'IAP': u'L ISLE ADAM PARMAIN',
    'LBJ': u'LA BARRE ORMESSON',
    'MLV': u'MERIEL',
    'MWO': u'MERY SUR OISE',
    'PEB': u'PERSAN BEAUMONT',
    'SLF': u'ST LEU LA FORET',
    'TVY': u'TAVERNY',
    'VMD': u'VALMONDOIS',
    'VCX': u'VAUCELLES',
    'MJM': u'MAREIL SUR MAULDRE',
    'MAE': u'MAULE',
    'NZL': u'NEZEL AULNAY',
    'PAA': u'GARE DE LYON',
}
